﻿class Nodo {
	//VARIABLES ESTATICAS
	//Tipo de nodo
	/*
			0: Espacio vacio
			1: Pared
			2: Punto inicial
			3: Punto final
	*/
	public static var VACIO:Number = 0;
	public static var PARED:Number = 1;
	public static var INICIO:Number = 2;
	public static var FINAL:Number = 3;
	private var tipoNodo:Number;
	//Costo desde este nodo hasta el punto final
	private var costoNodo:Number;
	//Padre del nodo
	public var padre:Nodo;
	public var x:Number, y:Number;
	//Constructor
	function Nodo() {
		this.tipoNodo = 0;
		this.costoNodo = 0;
		this.padre = null;
		x = y=-1;
	}
	function set tipo(tip) {
		this.tipoNodo = tip;
	}
	function get tipo() {
		return this.tipoNodo;
	}
	function set costo(cost) {
		this.costoNodo = cost;
	}
	function get costo() {
		return this.costoNodo;
	}
	public function toString():String {
		var elTipo:String;
		switch (this.tipoNodo) {
		case 0 :
			elTipo = "Vacio";
			break;
		case 1 :
			elTipo = "Pared";
			break;
		case 2 :
			elTipo = "Inicio";
			break;
		case 3 :
			elTipo = "Final";
			break;
		}
		return "("+this.x+","+this.y+") Tipo: "+elTipo+" Costo: "+this.costoNodo+"\n";
	}
}
